NexGen Gallery version 1.4.3 qui plante à l’install (Créer un compte)

  • Statut : non résolu
11 sujets de 46 à 56 (sur un total de 56)
  • Auteur
    Messages
  • #704852
    MichaWha
    Membre
    Initié WordPress
    26 contributions

    Toujours pas de solution ? Certains ont-ils réussi à refaire marcher NGG correctement ?

    #704853
    manu59
    Participant
    Maître WordPress
    1037 contributions

    c’est ça le problème, les cms c’est super quand ça marche mais quand ça plante et tu as des méconnaissances tu es bien dans la merde !!

    bon courage, désolé je ne peux t’aider, je suis nulle

    #704854
    MichaWha
    Membre
    Initié WordPress
    26 contributions

    Bon, j’ai peut-être une idée même si ce n’est pas une solution en soi : puis-je désinstaller la version actuelle de NGG et remettre une ancienne version (qui fonctionnait) ?
    Si j’enlève la version actuelle, est-ce que tous les paramètres (id des images et des galeries, etc) vont être gardés et ré-interprétés par l’ancienne version que je compte remettre ?

    #704855
    Li-An
    Modérateur
    Maître WordPress
    24657 contributions

    Tu peux toujours faire une sauvegarde de ta base de données avant de tenter la manip…

    #704856
    MichaWha
    Membre
    Initié WordPress
    26 contributions

    Bon, ça pourra sûrement servir, donc je vous explique ce qui s’est passé : j’ai désactivé NGG 1.4.3, j’ai remplacé tous les fichiers par ceux de NGG 1.4.2, ça n’a rien changé. Ensuite, j’ai édité une page ou la galerie merdait, pour voir… A l’affichage, sur la page, à la place de la galerie, je voyais [nggallery id =6], alors que dans le “code” de la page, quand je l’édite, c’était écrit le truc de base pour insérer une galerie, à savoir . Alors, j’ai cliqué sur le bouton NGG, j’ai inséré la galerie 6 juste en dessous… et là il m’écrit [nggallery id =6]. J’actualise la page, ça fonctionne.
    Bon, ça ne résout pas le problème initial du topic, mais celui d’autres personnes comme moi dont les galeries ne s’affichaient plus.
    Maintenant, je suis repassé en NGG 1.4.3 car ça n’avait rien à voir avec la version. La solution est donc de vérifier toutes les pages où les galeries ne s’affichent pas et de remplacer par [nggallery id =x].

    edit : pour les singlepic, on passe d’un truc du style : [singlepic=227,200,300,,center] à : [singlepic id=227 w=200 h=300 float=center]… Super, va falloir tout changer à la main, vive les améliorations hein…

    #704857
    capbastille
    Participant
    Initié WordPress
    15 contributions

    Bon je suis bien en PHP5 chez OVH en mettant une ligne dans le htaccess

    http://www.capbastille.fr/cuisines/phpinfo.php

    Mais ça ne change rien avec NGG, lorsque je lance l’upgrade, j’ai tjs plein d’erreurs… :(

    #704858
    capbastille
    Participant
    Initié WordPress
    15 contributions

    bon j’viens d’essayer de faire la maj vers la derniere version par l’install auto et voilà le message que j’ai :

    Téléchargement de la mise à jour depuis http://fr.wordpress.org/wordpress-2.9.1-fr_FR.zip.

    Décompression de la mise à jour.

    The update cannot be installed because WordPress 2.9.1 requires MySQL version 4.1.2 or higher. You are running version 4.0.25.

    Échec de l’installation

    #704859
    xavier
    Gestionnaire du forum
    Maître WordPress
    2126 contributions

    Apparemment (j’ai lu ça ailleurs) il faut faire un réglage à la main (ou une demande aux admins ovh) pour avoir une base MySQL à jour…

    #704860
    MentheFraiche
    Membre
    Initié WordPress
    2 contributions

    La solution est ici : http://guides.ovh.com/ConversionMysql5

    Pour recharger un backup de plus de 2Mo, il faut jouer des morceaux du script SQL dans PhpMyAdmin au fur et à mesure ou passer en ligne de commande si l’offre le permet (http://guides.ovh.com/ImportBaseMySQL)…

    #704861
    capbastille
    Participant
    Initié WordPress
    15 contributions

    J’vais essayer de suivre ça :

    http://guides.ovh.com/ConversionMysql5

    #704862
    capbastille
    Participant
    Initié WordPress
    15 contributions

    Bon, j’ai trouvé mon problème… j’avais atteint le quota de ma base à cause de 2 plugins de stats que j’avais mal paramétré. Donc j’étais passer en “SELECT ONLY”, bref, une fois résolu ce souci, j’ai pu upgrader la 1.4.2 et tout marchait…

    Là, j’essaie de passer ma base en mysql5 afin de pouvoir faire la maj vers la nouvelle version de WP et de NGG.

11 sujets de 46 à 56 (sur un total de 56)
  • Vous devez être connecté pour répondre à ce sujet.